
#include "BasePanelBF.h"
#include "gamebase/GameBase.hpp"
#include "gamebase/PGNGameBase.hpp"
#include "ochess.hpp"

// Foreign events
wxDECLARE_EVENT(NEW_GAME_EVENT, wxCommandEvent);
wxDECLARE_EVENT(REFRESH_TAB_TITLE, wxCommandEvent);

class BaseTab : public BasePanelBF, public TabInfos {
  GameBase *base;

public:
  BaseTab(wxFrame *parent, std::string base_file);
  void ApplyPreferences();
  void LoadFile(std::string path);
  void OnBim(wxCommandEvent &event);
  void OnOpenGame(wxListEvent &event);
};